package com.miaxis.app.controller.coach;

import com.miaxis.app.coach.domain.CoachEvaluate;
import com.miaxis.app.coach.domain.CoachEvaluateLabel;
import com.miaxis.app.coach.service.ICoachEvaluateService;
import com.miaxis.common.annotation.Log;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.enums.BusinessTypeEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 【教练评价】Controller
 *
 * @author wwl
 * @date 2020-12-28
 */
@RestController
@RequestMapping("/system/evaluate")
@Api(tags={"【app-教练评价】"})
public class CoachEvaluateController extends BaseController{

    @Autowired
    private ICoachEvaluateService coachEvaluateService;


    /**
     * 新增教练评价
     */
    @Log(title = "教练评价", businessType = BusinessTypeEnum.INSERT)
    @PostMapping
    @ApiOperation("新增教练评价")
    public Response<Integer> add(@RequestBody CoachEvaluate coachEvaluate){
        return toResponse(coachEvaluateService.insertCoachEvaluate(coachEvaluate));
    }


    /**
     * 查询教练评价标签列表
     */
    @GetMapping("/selectCoachEvaluateLabelList")
    @ApiOperation("查询教练评价标签列表")
    public Response<List<CoachEvaluateLabel>> selectCoachEvaluateLabelList(){
        List<CoachEvaluateLabel> list = coachEvaluateService.selectCoachEvaluateLabelList();
        return Response.success(list);
    }

}
