package com.miaxis.app.coach.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.app.coach.domain.CoachEvaluate;
import com.miaxis.app.coach.domain.CoachEvaluateLabel;
import com.miaxis.app.coach.mapper.CoachEvaluateLabelMapper;
import com.miaxis.app.coach.mapper.CoachEvaluateMapper;
import com.miaxis.app.coach.service.ICoachEvaluateService;
import com.miaxis.common.utils.DateUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 教练评价Service业务层处理
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Service
public class CoachEvaluateServiceImpl extends ServiceImpl<CoachEvaluateMapper, CoachEvaluate> implements ICoachEvaluateService {

    @Resource
    private CoachEvaluateMapper coachEvaluateMapper;

    @Resource
    private CoachEvaluateLabelMapper coachEvaluateLabelMapper;


    /**
     * 新增教练评价
     *
     * @param coachEvaluate 教练评价
     * @return 结果
     */
    @Override
    public int insertCoachEvaluate(CoachEvaluate coachEvaluate){
        coachEvaluate.setCreateTime(DateUtils.getNowDate());
        return coachEvaluateMapper.insertCoachEvaluate(coachEvaluate);
    }


    /**
     * 查询教练评价标签列表
     * @return
     */
    @Override
    public List<CoachEvaluateLabel> selectCoachEvaluateLabelList() {
        QueryWrapper<CoachEvaluateLabel> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status","0");
        return coachEvaluateLabelMapper.selectList(queryWrapper);
    }

}
